import { longestPath } from "./util.js";
import { feasibleTree } from "./feasible-tree.js";
import { networkSimplex } from "./network-simplex.js";
function rank(e) {
	switch (e.graph().ranker) {
		case "network-simplex":
			networkSimplexRanker(e);
			break;
		case "tight-tree":
			tightTreeRanker(e);
			break;
		case "longest-path":
			longestPathRanker(e);
			break;
		default: networkSimplexRanker(e);
	}
}
var longestPathRanker = longestPath;
function tightTreeRanker(o) {
	longestPath(o), feasibleTree(o);
}
function networkSimplexRanker(e) {
	networkSimplex(e);
}
export { rank };
